net.minecraft.client.renderer.tileentity

## Class TileEntitySpecialRenderer

- java.lang.Object
- - net.minecraft.client.renderer.tileentity.TileEntitySpecialRenderer

- Direct Known Subclasses:
    RenderEnchantmentTable, RenderEndPortal, TileEntityBeaconRenderer, TileEntityChestRenderer, TileEntityEnderChestRenderer, TileEntityMobSpawnerRenderer, TileEntityRendererPiston, TileEntitySignRenderer, TileEntitySkullRenderer

      public abstract class TileEntitySpecialRenderer
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TileEntitySpecialRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FontRenderer` | `getFontRenderer()`
    `void` | `onWorldChange(World par1World)` Called when the ingame world being rendered changes (e.g.
    `abstract void` | `renderTileEntityAt(TileEntity tileentity, double d0, double d1, double d2, float f)`
    `void` | `setTileEntityRenderer(TileEntityRenderer par1TileEntityRenderer)` Associate a TileEntityRenderer with this TileEntitySpecialRenderer

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TileEntitySpecialRenderer

          public TileEntitySpecialRenderer()

  - ### Method Detail

    - #### renderTileEntityAt

          public abstract void renderTileEntityAt(TileEntity tileentity,
                                double d0,
                                double d1,
                                double d2,
                                float f)

    - #### setTileEntityRenderer

          public void setTileEntityRenderer(TileEntityRenderer par1TileEntityRenderer)

      Associate a TileEntityRenderer with this TileEntitySpecialRenderer

    - #### onWorldChange

          public void onWorldChange(World par1World)

      Called when the ingame world being rendered changes (e.g. on world -> nether travel) due to using one renderer per tile entity type, rather than instance

    - #### getFontRenderer

          public FontRenderer getFontRenderer()